Skip to main content
POST
/
v1
/
manifest
Manifest Orders
curl --request POST \
  --url https://api.sandbox.usenash.com/v1/manifest \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "orderIds": [
    "<string>"
  ],
  "externalOrderIds": [
    "<string>"
  ],
  "providerIds": [
    "<string>"
  ]
}
'
{
  "manifests": [
    {
      "providerId": "<string>",
      "orderIds": [
        "<string>"
      ],
      "documents": [
        {
          "id": "<string>",
          "url": "<string>",
          "contentType": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
orderIds
string[] | null

List of Nash order IDs to manifest.

externalOrderIds
string[] | null

List of external order IDs to manifest.

providerIds
string[] | null

List of provider IDs. Manifests all eligible orders dispatched to these providers.

Response

OK

manifests
ManifestResultSerializer · object[]
required

List of manifest results grouped by provider and store location.